## python-lsp-flake8 0.4.0

=== Makefile ===
.PHONY: clean help dist upload

help:
	@echo "  clean      remove unwanted stuff"
	@echo "  dist       creates distribution packages (bdist_wheel, sdist)"
	@echo "  upload     uploads a new version to PyPI"

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

dist:
	python setup.py sdist bdist_wheel

upload:dist
	twine upload --skip-existing dist/*

=== debian/changelog ===
python-lsp-flake8 (0.4.0-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 15:07:48 +0200

python-lsp-flake8 (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #994608)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Sep 2021 15:56:37 +0200

=== debian/control ===
Source: python-lsp-flake8
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pylsp,
               python3-flake8,
               python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/Richardk2n/pylsp-flake8
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-flake8.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-flake8
Rules-Requires-Root: no

Package: python3-pylsp-flake8
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         flake8
Description: Flake8 plugin for the Python Language Server
 This package provides a plugin to support the flake8 code checker in editors
 that support the Python Language Server.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/emanspeaks/pyls-flake8/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
